package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.service.intef;


import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.applications.Application;
import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.applications.DTO.ApplicationDTO;
import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.applications.DTO.ApplicationDetailsDTO;
import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.applications.DTO.ApplicationStatusDTO;
import org.springframework.core.io.Resource;

import java.util.List;

public interface ApplicationService {
    ApplicationDetailsDTO submitApplication(ApplicationDTO applicationDTO);
    List<ApplicationDetailsDTO> findAllByJobAdvertisementId(Long jobId);
    List<ApplicationDetailsDTO> findAllByJobSeekerId(Long jobSeekerId);
    Resource loadResumeAsResource(Long applicationId);
    ApplicationStatusDTO updateApplicationStatus(Long id, String status);
}
